#!/bin/sh

if [ $REQUEST_METHOD != "POST" ] ; then

cat << EOS
Status: 405
Content-type: text/plain

Method Not Allowed
EOS

exit 1

fi

read -n 320 fqdn

if [ `echo -n "$fqdn" | wc -c` -le 255 ] && ! echo -n "$fqdn" | grep -e [^a-zA-Z0-9.-] > /dev/null ; then

echo $fqdn > /usr/local/root/ntp.conf
sync
sync
sync

cat << EOS
Status: 200
Content-type: text/plain

Success.
EOS

else

cat << EOS
Status: 400
Content-type: text/plain

Invalid FQDN.
EOS

fi
